FileType (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs.azurebfs.enums, enum: FileType

Package org.apache.hadoop.fs.azurebfs.enums

# Enum Class FileType

java.lang.Object
java.lang.Enum<FileType>
org.apache.hadoop.fs.azurebfs.enums.FileType

All Implemented Interfaces:
  `Serializable`, `Comparable<FileType>`, `Constable`

public enum FileType extends Enum<FileType>
Enum for file types. Used in `AbfsReadFooterMetrics` to store metrics based on file type.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NON_PARQUET`
  Non-parquet file.
  `PARQUET`
  Parquet file.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FileType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FileType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PARQUET

    public static final FileType PARQUET
    Parquet file.

  - ### NON_PARQUET

    public static final FileType NON_PARQUET
    Non-parquet file.

- ## Method Details

  - ### values

    public static FileType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FileType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null